[meta-java,4/4] openjdk-8: disable stringop-overflow compiler errors

Submitted by Richard Leitner on June 25, 2019, 11:53 a.m. | Patch ID: 162492

Details

Message ID 20190625115327.9314-5-richard.leitner@skidata.com
State Master Next
Delegated to: Richard Leitner
Headers show

Commit Message

Richard Leitner June 25, 2019, 11:53 a.m.
As new compilers generate this error we disable it for now as a
WORKAROUND. This will be removed when openjdk-8 is updated to the latest
version

Signed-off-by: Richard Leitner <richard.leitner@skidata.com>
---
 recipes-core/openjdk/openjdk-8-release-172b11-common.inc | 5 +++++
 1 file changed, 5 insertions(+)

Patch hide | download patch | download mbox

diff --git a/recipes-core/openjdk/openjdk-8-release-172b11-common.inc b/recipes-core/openjdk/openjdk-8-release-172b11-common.inc
index a8d3ccb..d4e80f6 100644
--- a/recipes-core/openjdk/openjdk-8-release-172b11-common.inc
+++ b/recipes-core/openjdk/openjdk-8-release-172b11-common.inc
@@ -95,6 +95,11 @@  ARM_INSTRUCTION_SET_armv4t = "ARM"
 BUILD_CFLAGS_append = " -Wno-error=deprecated-declarations"
 TARGET_CFLAGS_append = " -Wno-error=deprecated-declarations"
 
+# WORKAROUND: disable the "specified bound depends on the length of the source argument"
+# compiler error until we update openjdk8 to a fixed version
+BUILD_CFLAGS_append = " -Wno-error=stringop-overflow"
+TARGET_CFLAGS_append = " -Wno-error=stringop-overflow"
+
 # Enable zero mode for arm based builds, as normal hotspot fails to build
 PACKAGECONFIG_append_armv4 = " zero"
 PACKAGECONFIG_append_armv5 = " zero"